mgorny      15/08/08 15:03:18

  Modified:             metadata.xml blueman-9999.ebuild ChangeLog
  Log:
  Update and clean up the live ebuild and patches.
  
  (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 
EFB4464E!)

Revision  Changes    Path
1.5                  net-wireless/blueman/metadata.xml

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/metadata.xml?rev=1.5&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/metadata.xml?rev=1.5&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/metadata.xml?r1=1.4&r2=1.5

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-wireless/blueman/metadata.xml,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- metadata.xml        5 Jan 2015 19:50:38 -0000       1.4
+++ metadata.xml        8 Aug 2015 15:03:18 -0000       1.5
@@ -4,7 +4,12 @@
        <maintainer>
                <email>[email protected]</email>
        </maintainer>
+       <maintainer>
+               <email>[email protected]</email>
+               <name>Michał Górny</name>
+       </maintainer>
        <use>
+               <flag name="appindicator">Enable usage of 
<pkg>dev-libs/libappindicator</pkg> to export menu options</flag>
                <flag name="gconf">Enable the GConf configuration backend</flag>
                <flag name="network">Add functionality to setup (host) PAN 
connections using either <pkg>net-dns/dnsmasq</pkg> or 
<pkg>net-misc/dhcp</pkg></flag>
                <flag name="sendto">Install the sendto-plugin for 
<pkg>gnome-base/nautilus</pkg></flag>



1.9                  net-wireless/blueman/blueman-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?rev=1.9&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?rev=1.9&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?r1=1.8&r2=1.9

Index: blueman-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- blueman-9999.ebuild 4 Apr 2015 08:52:43 -0000       1.8
+++ blueman-9999.ebuild 8 Aug 2015 15:03:18 -0000       1.9
@@ -1,63 +1,60 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v 
1.8 2015/04/04 08:52:43 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v 
1.9 2015/08/08 15:03:18 mgorny Exp $
 
 EAPI="5"
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python{2_7,3_4} )
 inherit eutils python-single-r1 gnome2-utils autotools
 
 DESCRIPTION="GTK+ Bluetooth Manager, designed to be simple and intuitive for 
everyday bluetooth tasks"
-HOMEPAGE="http://blueman-project.org/";
+HOMEPAGE="https://github.com/blueman-project/blueman";
 
 if [[ ${PV} == "9999" ]] ; then
        inherit git-r3
-       EGIT_REPO_URI="https://github.com/${PN}-project/${PN}.git";
+       EGIT_REPO_URI="https://github.com/blueman-project/blueman.git";
        KEYWORDS=""
 else
-       SRC_URI="http://download.tuxfamily.org/${PN}/${P}.tar.gz";
+       
SRC_URI="https://github.com/blueman-project/${PN}/releases/download/${PV}/${P}.tar.xz";
        KEYWORDS="~amd64 ~ppc ~x86"
 fi
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="gconf gnome network nls policykit pulseaudio thunar"
+IUSE="appindicator network nls policykit pulseaudio thunar"
 
-CDEPEND="dev-libs/glib:2=
-       x11-libs/gtk+:3=
-       x11-libs/startup-notification:=
-       dev-python/dbus-python[${PYTHON_USEDEP}]
+COMMON_DEPEND="
        dev-python/pygobject:3
-       >=net-wireless/bluez-4.61:=
+       >=net-wireless/bluez-5:=
        ${PYTHON_DEPS}"
-DEPEND="${CDEPEND}
-       nls? ( dev-util/intltool sys-devel/gettext )
+DEPEND="${COMMON_DEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
        virtual/pkgconfig
-       dev-python/cython[${PYTHON_USEDEP}]"
-RDEPEND="${CDEPEND}
-       >=app-mobilephone/obex-data-server-0.4.4
+       nls? ( dev-util/intltool sys-devel/gettext )"
+RDEPEND="${COMMON_DEPEND}
+       dev-python/dbus-python[${PYTHON_USEDEP}]
+       dev-python/pycairo[${PYTHON_USEDEP}]
        sys-apps/dbus
-       x11-themes/hicolor-icon-theme
-       gconf? ( dev-python/gconf-python[${PYTHON_USEDEP}] )
-       gnome? ( gnome-base/nautilus )
+       x11-libs/gtk+:3[introspection]
+       x11-libs/libnotify[introspection]
+       || (
+               x11-themes/faenza-icon-theme
+               x11-themes/gnome-icon-theme
+               x11-themes/mate-icon-theme
+       )
+       appindicator? ( dev-libs/libappindicator:3[introspection] )
        network? ( || ( net-dns/dnsmasq
                net-misc/dhcp
                >=net-misc/networkmanager-0.8 ) )
        policykit? ( sys-auth/polkit )
        pulseaudio? ( media-sound/pulseaudio )
-       !net-wireless/gnome-bluetooth
-       x11-themes/gnome-icon-theme
        thunar? ( xfce-base/thunar )
+       !net-wireless/gnome-bluetooth
 "
-# See bug 455320 and https://github.com/blueman-project/blueman/issues/112 for 
reason for gnome-icon-theme dep
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 src_prepare() {
-       sed -i \
-               -e '/^Encoding/d' \
-               data/blueman-manager.desktop.in || die "sed failed"
-
        epatch \
                
"${FILESDIR}/${PN}-9999-set-codeset-for-gettext-to-UTF-8-always.patch"
        eautoreconf
@@ -66,10 +63,11 @@
 src_configure() {
        econf \
                --docdir=/usr/share/doc/${PF} \
+               --disable-runtime-deps-check \
                --disable-static \
                $(use_enable policykit polkit) \
-               $(use_enable gnome nautilus-sendto) \
                $(use_enable nls) \
+               $(use_enable pulseaudio) \
                $(use_enable thunar thunar-sendto)
 }
 
@@ -77,13 +75,7 @@
        default
 
        python_fix_shebang "${D}"
-
        rm "${D}"/$(python_get_sitedir)/*.la || die
-       use gnome && { rm "${D}"/usr/lib*/nautilus-sendto/plugins/*.la || die; }
-
-       # Note: Python 3 support would need __pycache__ file removal too
-       use policykit || { rm -rf "${D}"/usr/share/polkit-1 || die; }
-       use pulseaudio || { rm 
"${D}"/$(python_get_sitedir)/${PN}/{main/Pulse*.py*,plugins/manager/Pulse*.py*} 
|| die; }
 }
 
 pkg_preinst() {



1.35                 net-wireless/blueman/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?rev=1.35&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?rev=1.35&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?r1=1.34&r2=1.35

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v
retrieving revision 1.34
retrieving revision 1.35
diff -u -r1.34 -r1.35
--- ChangeLog   4 Apr 2015 08:52:43 -0000       1.34
+++ ChangeLog   8 Aug 2015 15:03:18 -0000       1.35
@@ -1,6 +1,12 @@
 # ChangeLog for net-wireless/blueman
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v 1.34 
2015/04/04 08:52:43 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v 1.35 
2015/08/08 15:03:18 mgorny Exp $
+
+  08 Aug 2015; Michał Górny <[email protected]>
+  -files/blueman-9999-plugins-conf-file.patch, blueman-9999.ebuild,
+  files/blueman-9999-set-codeset-for-gettext-to-UTF-8-always.patch,
+  metadata.xml:
+  Update and clean up the live ebuild and patches.
 
   04 Apr 2015; Michał Górny <[email protected]> blueman-9999.ebuild:
   Sync -9999. Remove conf file path patch and GConf magic, GSettings are used




Reply via email to